Bug 1329712 - abrt-cli cannot report crash directory with trailing slash
Summary: abrt-cli cannot report crash directory with trailing slash
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 30
Hardware: All
OS: All
unspecified
medium
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-22 16:28 UTC by Adam Williamson
Modified: 2019-10-25 17:01 UTC (History)
5 users (show)

Fixed In Version: abrt-2.13.0-1.fc30
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-25 17:01:04 UTC
Type: Bug


Attachments (Terms of Use)

Description Adam Williamson 2016-04-22 16:28:32 UTC
[root@localhost abrt]# abrt-cli report /var/spool/abrt/ccpp-2016-04-21-23\:00\:46-1110/
Can't test whether the element exists over abrt-dbus: GDBus.Error:org.freedesktop.problems.InvalidProblemDir: '/var/spool/abrt/ccpp-2016-04-21-23:00:46-1110/' is not a valid problem directory
Problem '/var/spool/abrt/ccpp-2016-04-21-23:00:46-1110/' cannot be reported
[root@localhost abrt]# abrt-cli report /var/spool/abrt/ccpp-2016-04-21-23\:00\:46-1110
('report_uReport' completed successfully)
Ok to upload core dump? (It may contain sensitive data). If your answer is 'No', a stack trace will be generated locally. (It may download a huge amount of data). [y/N/f/e]

i.e. 'abrt-cli report /path/to/problem/directory/' does not work. 'abrt-cli report /path/to/problem/directory' does. This is particularly annoying because bash tab completion adds the trailing / , and no-one is going to type that problem directory name manually. Also, again, the error message is extremely misleading.

Comment 1 Adam Williamson 2016-11-24 21:57:27 UTC
Still the case in F25.

Comment 2 Adam Williamson 2017-08-14 22:10:15 UTC
Still the case in current Rawhide (27).

Comment 3 Jan Kurik 2017-08-15 06:15:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 4 Ben Cotton 2018-11-27 14:17:01 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Adam Williamson 2018-11-27 16:43:57 UTC
Still the same in current Rawhide. This simple bug has now been present for *six releases*.

Comment 6 Ben Cotton 2019-02-19 17:12:16 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.

Comment 7 Fedora Update System 2019-10-16 12:24:15 UTC
FEDORA-2019-c89ea00ed9 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c89ea00ed9

Comment 8 Adam Williamson 2019-10-16 15:01:41 UTC
*blink blink*

is it my birthday or what?!

Comment 9 Fedora Update System 2019-10-16 16:05:23 UTC
abrt-2.13.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c89ea00ed9

Comment 10 ekulik 2019-10-16 19:21:36 UTC
Three years in the making, but we are excited to announce that our R&D department had finally cracked this case.

Comment 11 Fedora Update System 2019-10-25 17:01:04 UTC
abrt-2.13.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.